Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core.subscribers
Interface ISubscriberChangeEvent

All Known Implementing Classes:
  SubscriberChangeEvent

public interface ISubscriberChangeEvent

A change event that describes a change in a resource that is or was supervised by a subscriber.

Clients are not intented to implement. Instead subclass `SubscriberChangeEvent`.

Since:
  3.0
See Also:
  `ISubscriberChangeListener`

Field Summary
`static int` | `NO_CHANGE` Delta kind constant indicating that the resource has not been changed in any way
`static int` | `ROOT_ADDED` Delta kind constant (bit mask) indicating that a team provider has been configured on the resource.
`static int` | `ROOT_REMOVED` Delta kind constant (bit mask) indicating that a team provider has been de-configured on the resource.
`static int` | `SYNC_CHANGED` Delta kind constant (bit mask) indicating that the synchronization state of a resource has changed.

Method Summary
`int` | `getFlags()` Return the flags that describe the type of change.
`IResource` | `getResource()` Return the resource whose state with respect to the subscriber has changed.
`Subscriber` | `getSubscriber()` Return the subscriber to which this change event applies.

Field Detail

### NO_CHANGE

    public static final int NO_CHANGE

  Delta kind constant indicating that the resource has not been changed in any way

  See Also:
    `IResourceDelta#getKind`, Constant Field Values

### SYNC_CHANGED

    public static final int SYNC_CHANGED

  Delta kind constant (bit mask) indicating that the synchronization state of a resource has changed.

  See Also:
    `getFlags()`, Constant Field Values

### ROOT_ADDED

    public static final int ROOT_ADDED

  Delta kind constant (bit mask) indicating that a team provider has been configured on the resource.

  See Also:
    `getFlags()`, Constant Field Values

### ROOT_REMOVED

    public static final int ROOT_REMOVED

  Delta kind constant (bit mask) indicating that a team provider has been de-configured on the resource.

  See Also:
    `getFlags()`, Constant Field Values

Method Detail

### getFlags

    public int getFlags()

  Return the flags that describe the type of change. The returned value should be ANDed with the change type flags to determine whether the change event is of a particular type. For exampe,

         if (event.getFlags() & ISubscriberChangeEvent.SYNC_CHANGED) {
            // the sync info for the resource has changed
         }

  Returns:
    the flags that describe the type of change

### getResource

    public IResource getResource()

  Return the resource whose state with respect to the subscriber has changed.

  Returns:
    the resource whose state with respect to the subscriber has changed

### getSubscriber

    public Subscriber getSubscriber()

  Return the subscriber to which this change event applies.

  Returns:
    the subscriber to which this change event applies

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.